/*
Module : AASIDEREAL.H
Purpose: Implementation for the algorithms which obtain sidereal time
Created: PJN / 29-12-2003

Copyright (c) 2003 - 2006 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code. 

*/


#ifndef __AASIDEREAL_H__
#define __AASIDEREAL_H__


/////////////////////////// Classes ///////////////////////////////////////////

class CAASidereal
{
public:
	static double MeanGreenwichSiderealTime(double JD);
  static double ApparentGreenwichSiderealTime(double JD);
};

#endif //__AASIDEREAL_H__
