//***************************************************************************
//
// Advanced CodeColony Camera
// Philipp Crocoll, 2003
//
//***************************************************************************

#include<gl\glut.h>		// Need to include it here because the GL* types are required
#include"variabile.h"
#include"general.h"

/////////////////////////////////
// Note: All angles in degrees //
/////////////////////////////////

struct SF2dVector
{
	double x,y;
};

SF3dVector F3dVector ( double x, double y, double z );

class CCamera
{
public:
	SF3dVector ViewDir, RightVector, UpVector, Position, distance_difference;
	double RotatedX, RotatedY, RotatedZ;	
							// from the planet to the camera in X Y Z
	CCamera();				// inits the values (Position: (0|0|0) Target: (0|0|-1) )
	void Render ( void );	// executes some glRotates and a glTranslate command
							// note: you should call glLoadIdentity before using Render

	void Move ( SF3dVector Direction );
	void RotateX ( double Angle );
	void RotateY ( double Angle );
	void RotateZ ( double Angle );

	void MoveForward ( double Distance );
	void MoveUpward ( double Distance );
	void StrafeRight ( double Distance );
};