/*
Module : AAMOONNODES.H
Purpose: Implementation for the algorithms which obtain the dates when the Moon passes thro its nodes
Created: PJN / 29-12-2003

Copyright (c) 2003 - 2006 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code. 

*/


#ifndef __AAMOONNODES_H__
#define __AAMOONNODES_H__


////////////////////////// Classes ////////////////////////////////////////////

class CAAMoonNodes
{
public:
//Methods
  static double K(double Year);
  static double PassageThroNode(double k);
};

#endif //__AAMOONNODES_H__
