/*
    STELE
    Copyright (C) 2006  
	Borca Bogdan <borca_bn@yahoo.com>
	www.bogdi.ro

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include<windows.h>
#include"variabile.h"
#include"grid.h"
#include<time.h>
#include<sys\timeb.h>

char options[46][45] = 
{
	"I - show distance to the Sun",
	"I - hide distance to the Sun",
	"G - show grid",
	"G - hide grid",
	"V - set orthographic projection",
	"V - set perspective projection",
	"2 - lock shuttle to the planet",
	"2 - unlock shuttle from the planet",	
	"Space - show description for planets",
	"Space - hide description for planets",	
	"* O - show orbits",
	"* O - hide orbits",
	"* P - show XYZ planet location",
	"* P - hide XYZ planet location",
	"* L - show location map",
	"* L - hide location map",
	"* Y - show current location",
	"* Y - hide current location",
	"* C - show planet/moon informations",
	"* C - hide planet/moon informations",
	"* T - show time factor",
	"* T - hide time factor",
	"* K - show song panel",
	"* K - hide song panel",
	"* 1 - orbit the closest planet",
	"* 1 - free shuttle from the planet",
	"* 3 - orbit the closest moon",
	"* 3 - free shuttle from the moon",
	"* 4 - lock shuttle to the moon",
	"* 4 - unlock shuttle from the moon",
	"* R - animate system",
	"* R - show system in real time",
	"WASD - move",
	"Q/E/Right/Left click - rotate view",
	"N/M/Mouse scroll - modify speed",
	"Z/X - increase/decrease time factor",
	"J - jump to the next planet",
	"ESC - show/hide this help",
	"5 - Exit"
};

int	wwidth = 0,	wheight = 0, ynewline;
short near_planet = 0, planets = 0, iP = 0, active_GUI_option = -1, 
	active_OK = 1; // this tells to show Keyboard(0) or Options(1)
double PO[9][24], MO[15][4], 
	mili, Julian, shuttle_speed = 10, ii=0,
	xmouse = 0, ymouse = 0,
	console = 0,
	camera_sun_distance = 0,
	camera_planet_distance = 0,
	zoom = 1,
	zs = 0,
	_21 = 0;

Fade _fade;
CP cp[4];
PLANET_OBJECT planet[9];
SATELLITE_OBJECT moon[15];


GLuint list[10][20], listBase[3], pixel_list;
GLfloat mat_ambient[4],	mat_specular[4], mat_diffuse[4], mat_emission[4],
	light_position[4];

bool initsf3 = false,
	bool_options[14],
	gui_is_active = true,
	camera_changed = true,
	show_infos = true,
	show_GUI = false,
	mouse_on_exit = false,
	static_tv = true;

CAADate date;
SYSTEMTIME systemtime;
time_t time_date;

GLUquadric *qsphere = gluNewQuadric();